/********************************************************************/
/*  7188XC + X200 source code                                       */
/*                                                                  */
/*  [12/October/2005] by Liam                                       */
/*  [18/Dec/2006] by Liam                                           */
/********************************************************************/
/********************************************************************/
/*  X200: 1 channel 12-Bit A/D (Analog input) 0 ~ 2.5V              */
/*                                                                  */
/********************************************************************/

#ifndef __X200_H
#define __X200_H

#ifdef __cplusplus
extern "C" {
#endif

int X200_Init(void);
/*  Always return 0 */

unsigned X200_GetLibVersion(void);
/*  Current version is 2.00 (return 0x0200) */

float X200_AnalogIn(void);
/*  Return data = 0 ~ 2.5   */

#ifdef __cplusplus
}
#endif

#endif
