#include<conio.h>
#include "..\..\lib\7188xc.h"

/* X400 board */

#define Base    0x00
#define Count0  0x00
#define Count1  0x01
#define Count2  0x02
#define CR      0x03

#define BIN       0x0
#define BCD       0x1
#define MODE0     0x0
#define MODE1     0x2
#define MODE2     0x4
#define MODE3     0x6
#define MODE4     0x8
#define MODE5     0xa

#define CountL    0x00
#define RLSB      0x10
#define RMSB      0x20
#define RLMSB     0x30

#define ReadBack  0xc0

unsigned int Set8254Count0(char cConfig, char cLow, char cHigh)
{
    outp(Base+CR, cConfig);
    outp(Count0, cLow);
    outp(Count0, cHigh);
    return(NoError);
}

unsigned int Set8254Count1(char cConfig, char cLow, char cHigh)
{
    outp(Base+CR, cConfig);
    outp(Count1, cLow);
    outp(Count1, cHigh);
    return(NoError);
}

unsigned int Set8254Count2(char cConfig, char cLow, char cHigh)
{
    outp(Base+CR, cConfig);
    outp(Count2, cLow);
    outp(Count2, cHigh);
    return(NoError);
}

void main(void)
{
    InitLib();

    Set8254Count0(0x36, 10, 0);   /* CH-1,mode-3 */
    Set8254Count1(0x76, 10, 0);   /* CH-2,mode-3 */
    Set8254Count2(0xb6, 10, 0);   /* CH-3,mode-3 */
    
    Getch();
}

