/********************************************************************/
/*  7188XC + X103 head file                                         */
/*                                                                  */
/*  [12/October/2005] by Liam                                       */
/*  [15/Dec/2006] by Liam                                           */
/********************************************************************/
/********************************************************************/
/*  X103:  7 channels D/I                                           */
/********************************************************************/

#ifndef __X103_H
#define __X103_H

#ifdef __cplusplus
extern "C" {
#endif

int X103_Init(void);
/*  Always return 0 */

unsigned X103_GetLibVersion(void);
/*  Current version is 2.00 (return 0x0200) */

int X103_Read_All_DI(void);
/*  Return data =  0x00~0x7f
    Return 1 => open
                Logic high level (+3.5V ~ +30V)
    Return 0 => close to GND
                Logic low level (0V ~ +1V)  */

int X103_Read_One_DI(int iChannel);
/*  iChannel = 0 ~ 6
    Return 1 => open
                Logic high level (+3.5V ~ +30V)
    Return 0 => close to GND
                Logic low level (0V ~ +1V)  */

#ifdef __cplusplus
}
#endif

#endif
