/*
X200Demo.c: Demo program for X200

Compiler: BC++ 3.1
          Turbo C ++ 1.01(3.01) (free from http://community.borland.com/museum)

Compile mode: large

Project: X200Demo.c
          ..\..\lib\7188xcl.lib
          ..\..\lib\XBoard\X200.lib
          
Hardware: 7188XC + X200
X200: 1 channel 12-Bit A/D (Analog input) 0 ~ 2.5V

[14/August/2007] by Liam
*/
#include <stdlib.h>
#include <stdio.h>
#include <conio.h>
#include "..\..\lib\7188xc.h"
#include "..\..\lib\XBoard\X200.h"

void main(void)
{
    float fValue;
    char cValue;
    
    InitLib();
    X200_Init();    //Initialize the X200
    
    Print("\r\nPress 'q' to quit...\r\n");
    for(;;)
    {
        // A/D (Analog input)
        fValue=X200_AnalogIn();
        Print("AI[0]= %4.3fV", fValue);
        Print("\r");

        if(Kbhit())
        {
            cValue=Getch();
            if(cValue=='Q' || cValue=='q')
                break;
        }
    }
}
